
const { ccclass, property } = cc._decorator;

@ccclass
export default class LoadHint extends cc.Component {

    @property(cc.Node)
    ico: cc.Node = null;

    @property(cc.Node)
    dian: cc.Node = null;

    time = 0;

    start() {
        this.schedule(function () {
            this.ico.rotation += 30;
            this.time++;
            
            for (var i = 0; i < 3; i++) {
                this.dian.children[i].active = this.time > i;
            }
            if (this.time == 3) {
                this.time = 0;
            }
        }.bind(this), 0.15);
        
    }

}
